%define oname	cssutils
%define name	python-%{oname}

Name:		%{name}
Version:	0.9.10
Release:	%mkrel 3
Summary:	Python module for parsing and building CSS 
Group:		Development/Python
License:	LGPLv3+
URL:		http://cthedot.de/cssutils/
Source0:	https://pypi.python.org/packages/source/c/%{oname}/%{oname}-%{version}.zip
BuildArch:	noarch 
BuildRequires:	pkgconfig(python)
BuildRequires:	python-setuptools
  
%description 
cssutils is a Python module for building and parsing CSS (Cascading
Style Sheets).

%package -n python3-%{oname}
Summary:	Python 3 module for parsing and building CSS
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-setuptools

%description -n python3-%{oname}
cssutils is a Python 3 module for building and parsing CSS (Cascading
Style Sheets).
 
%prep
%setup -q -n %{oname}-%{version}
%apply_patches
cp -a . %{py3dir} 

%build 
%{__python} setup.py build

pushd %{py3dir} 
%{__python3} setup.py build
popd

%install 
pushd %{py3dir} 
%{__python3} setup.py install --root=%{buildroot} --skip-build --optimize=2
%{__mv}  %{buildroot}/%{_bindir}/csscapture %{buildroot}/%{_bindir}/csscapture-py3
%{__mv}  %{buildroot}/%{_bindir}/csscombine %{buildroot}/%{_bindir}/csscombine-py3
%{__mv}  %{buildroot}/%{_bindir}/cssparse %{buildroot}/%{_bindir}/cssparse-py3

popd

%{__python} setup.py install --root=%{buildroot} --skip-build --optimize=2


# Don't ship tests. TODO: run tests in check section. 
%{__rm} -rf %{buildroot}/%{python_sitelib}/tests
%{__rm} -rf %{buildroot}/%{python3_sitelib}/tests

%files  
%{_bindir}/csscapture
%{_bindir}/csscombine
%{_bindir}/cssparse
%{python_sitelib}/%{oname}
%{python_sitelib}/encutils
%{python_sitelib}/%{oname}-*.egg-info/

%files -n python3-%{oname}  
%{_bindir}/csscapture-py3
%{_bindir}/csscombine-py3
%{_bindir}/cssparse-py3
%{python3_sitelib}/%{oname}
%{python3_sitelib}/encutils
%{python3_sitelib}/%{oname}-*.egg-info/



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.9.10-3.mga4
+ Revision: 543233
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.9.10-2.mga4
+ Revision: 498327
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Sep 01 2013 philippem <philippem> 0.9.10-1.mga4
+ Revision: 474089
- summary-ended-with-dot
- update to 0.9.10, add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 0.9.9-2.mga3
+ Revision: 378621
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon May 14 2012 dams <dams> 0.9.9-1.mga2
+ Revision: 235677
- new version 0.9.9

* Sun Mar 06 2011 ennael <ennael> 0.9.7-0.b3.2.mga1
+ Revision: 65574
- imported package python-cssutils


* Sat Oct 30 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.9.7-0.b3.2mdv2011.0
+ Revision: 590376
- rebuild for python-2.7

* Sat Jul 10 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.9.7-0.b3.1mdv2011.0
+ Revision: 550341
- update to 0.9.7b3

* Fri Dec 04 2009 Michael Scherer <misc@mandriva.org> 0.9.5.1-3mdv2010.1
+ Revision: 473354
- do not let world writable file, fix #56186

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.9.5.1-2mdv2010.0
+ Revision: 442089
- rebuild

* Fri Dec 26 2008 Adam Williamson <awilliamson@mandriva.org> 0.9.5.1-1mdv2009.1
+ Revision: 319513
- rebuild with python 2.6
- new release 0.9.5.1

* Wed Jul 30 2008 Adam Williamson <awilliamson@mandriva.org> 0.9.5-1mdv2009.0
+ Revision: 255575
- import python-cssutils


